// 20260216 ChatGPT
// $Id$
// $HeadURL$

#include <Arduino.h>
#include "SystemStartup.h"

static SystemStartup g_systemStartup(Serial);

void setup() {
  Serial.begin(115200);
  System.println("Example 08: setup() called. About to call g_systemStartup.begin().");
  g_systemStartup.begin();
  System.println("After g_systemStartup() in setup().");
}

void loop() {
  g_systemStartup.update();
  System.println("Example 08 loop() called and after g_systemStartup.update().");
  delay(1000);
}
